#!/bin/sh
depmod `uname -r`
rmmod nvidia  > /dev/null 2>&1
modprobe nvidia > /dev/null 2>&1

# Replace nv driver with nvidia when doing install.
if [[ -f /etc/X11/xorg.conf ]]; then
	sed -i '/^[[:space:]]*Driver[[:space:]]*"nv"/s/nv/nvidia/' /etc/X11/xorg.conf
	sed -i '/^[[:space:]]*Load[[:space:]]*".*glx.*"/s|".*"|"/usr/lib/xorg/modules/extensions/libglx.so"|' /etc/X11/xorg.conf

# Enable hardware acceleration of the RENDER extension
	grep -q '^[[:space:]]*Option "RenderAccel"' /etc/X11/xorg.conf || sed -i '/^[[:space:]]*Driver[[:space:]]*"nvidia".*$/s/$/\n    Option "RenderAccel" "1"/' /etc/X11/xorg.conf

# Enable GLX even when the Composite X extension is loaded
	grep -q '^[[:space:]]*Option "AllowGLXWithComposite"' /etc/X11/xorg.conf || sed -i '/^[[:space:]]*Driver[[:space:]]*"nvidia".*$/s/$/\n    Option "AllowGLXWithComposite" "1"/' /etc/X11/xorg.conf
fi
( cd usr/lib ; rm -rf libGL.so )
( cd usr/lib ; ln -sf ./libGL.so.260.19.29 libGL.so )
( cd usr/lib/xorg/modules/extensions ; rm -rf libglx.so )
( cd usr/lib/xorg/modules/extensions ; ln -sf libglx.so.260.19.29 libglx.so )
( cd usr/lib ; rm -rf libvdpau_nvidia.so.1 )
( cd usr/lib ; ln -sf ./libvdpau_nvidia.so.260.19.29 libvdpau_nvidia.so.1 )
( cd usr/lib ; rm -rf libnvidia-tls.so.1 )
( cd usr/lib ; ln -sf ./libnvidia-tls.so.260.19.29 libnvidia-tls.so.1 )
( cd usr/lib ; rm -rf libvdpau_nvidia.so )
( cd usr/lib ; ln -sf ./libvdpau_nvidia.so.260.19.29 libvdpau_nvidia.so )
( cd usr/lib ; rm -rf libvdpau.so.1 )
( cd usr/lib ; ln -sf ./libvdpau.so.260.19.29 libvdpau.so.1 )
( cd usr/lib ; rm -rf libXvMCNVIDIA.so )
( cd usr/lib ; ln -sf ./libXvMCNVIDIA.so.260.19.29 libXvMCNVIDIA.so )
( cd usr/lib ; rm -rf libvdpau.so )
( cd usr/lib ; ln -sf ./libvdpau.so.260.19.29 libvdpau.so )
( cd usr/lib ; rm -rf libnvidia-glcore.so )
( cd usr/lib ; ln -sf ./libnvidia-glcore.so.260.19.29 libnvidia-glcore.so )
( cd usr/lib ; rm -rf libcuda.so )
( cd usr/lib ; ln -sf ./libcuda.so.260.19.29 libcuda.so )
( cd usr/lib ; rm -rf libGL.so.1 )
( cd usr/lib ; ln -sf ./libGL.so.260.19.29 libGL.so.1 )
( cd usr/lib ; rm -rf libXvMCNVIDIA.so.1 )
( cd usr/lib ; ln -sf ./libXvMCNVIDIA.so.260.19.29 libXvMCNVIDIA.so.1 )
( cd usr/lib ; rm -rf libcuda.so.1 )
( cd usr/lib ; ln -sf ./libcuda.so.260.19.29 libcuda.so.1 )
( cd usr/lib ; rm -rf libnvidia-cfg.so )
( cd usr/lib ; ln -sf ./libnvidia-cfg.so.260.19.29 libnvidia-cfg.so )
( cd usr/lib ; rm -rf libnvidia-glcore.so.1 )
( cd usr/lib ; ln -sf ./libnvidia-glcore.so.260.19.29 libnvidia-glcore.so.1 )
( cd usr/lib ; rm -rf libnvidia-cfg.so.1 )
( cd usr/lib ; ln -sf ./libnvidia-cfg.so.260.19.29 libnvidia-cfg.so.1 )
( cd usr/lib ; rm -rf libnvidia-tls.so )
( cd usr/lib ; ln -sf ./libnvidia-tls.so.260.19.29 libnvidia-tls.so )
